package com.dino.scrum.sysmag.repository;

import com.dino.scrum.sysmag.model.Product;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

/**
 * Created by prgres on 2019-01-12.
 */
@Repository
public interface ProductRepository extends PagingAndSortingRepository<Product, Long> {
    boolean existsByName(String name);

    Optional<Product> findByName(String name);

    Product findById(long id);
}
