package com.dino.scrum.sysmag.service;

import com.dino.scrum.sysmag.model.Product;
import com.dino.scrum.sysmag.model.dto.QuantityChange;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

/**
 * Created by prgres on 2019-01-12.
 */

public interface ProductService {
    Page<Product> getAll(Pageable pageable) throws Exception;

    Product changeQuantity(QuantityChange quantityChange) throws Exception;

    Product getById(Long id) throws Exception;

    Product add(Product product) throws Exception;

    Product update(Product product, long id) throws Exception;

    long count();

    float getPriceOfAll();

    void delete(long id) throws Exception;
}

